/*
** $Id: modlua_lua.h,v 1.1.1.1 2003/06/30 19:18:24 michel Exp $
** mod_lua - Apache module for Lua language
** See copyright notice in distro's COPYRIGHT file
*/

#ifndef modlua_lua_h
#define modlua_lua_h

#include <httpd.h>
#include <lua.h>

void modlua_lua_init(pool *p);
void modlua_lua_setluapath(const char *lua_path);
const char *modlua_lua_require(pool *p, const char *filename);
int modlua_lua_call_handler(request_rec *r, const char *funcname,
                            const char **errmsg);
int modlua_lua_isfuncname(const char *funcname);

#endif
